## UDisksLinuxBlockObject UDisksLinuxBlockObject — Object representing a block device on Linux. |

## Functions

UDisksLinuxBlockObject * | udisks_linux_block_object_new ()
void | udisks_linux_block_object_uevent ()
UDisksDaemon * | udisks_linux_block_object_get_daemon ()
UDisksLinuxDevice * | udisks_linux_block_object_get_device ()
void | udisks_linux_block_object_trigger_uevent ()
void | udisks_linux_block_object_reread_partition_table ()

## Properties

UDisksDaemon * | daemon | Read / Write / Construct Only
UDisksLinuxDevice * | device | Read / Write / Construct Only

## Types and Values

| UDisksLinuxBlockObject

## Object Hierarchy

        GObject
        ╰── GDBusObjectSkeleton
            ╰── UDisksObjectSkeleton
                ╰── UDisksLinuxBlockObject

## Implemented Interfaces

UDisksLinuxBlockObject implements GDBusObject and UDisksObject.

## Description

Object corresponding to a block device on Linux.

## Functions

### udisks_linux_block_object_new ()

    UDisksLinuxBlockObject *
    udisks_linux_block_object_new (UDisksDaemon *daemon,
                                   UDisksLinuxDevice *device);

Create a new block object.

#### Parameters

daemon | A UDisksDaemon. |
device | The UDisksLinuxDevice for the device. |

#### Returns

A UDisksLinuxBlockObject object. Free with `g_object_unref()`.

### udisks_linux_block_object_uevent ()

    void
    udisks_linux_block_object_uevent (UDisksLinuxBlockObject *object,
                                      const gchar *action,
                                      UDisksLinuxDevice *device);

Updates all information on interfaces on `object` .

#### Parameters

object | A UDisksLinuxBlockObject. |
action | Uevent action or `NULL` |
device | A new UDisksLinuxDevice device object or `NULL` if the device hasn't changed. |

### udisks_linux_block_object_get_daemon ()

    UDisksDaemon *
    udisks_linux_block_object_get_daemon (UDisksLinuxBlockObject *object);

Gets the daemon used by `object` .

#### Parameters

object | A UDisksLinuxBlockObject. |

#### Returns

A UDisksDaemon. Do not free, the object is owned by `object` .

### udisks_linux_block_object_get_device ()

    UDisksLinuxDevice *
    udisks_linux_block_object_get_device (UDisksLinuxBlockObject *object);

Gets the current UDisksLinuxDevice for `object` . Connect to “notify” to track changes to the “device” property.

#### Parameters

object | A UDisksLinuxBlockObject. |

#### Returns

A UDisksLinuxDevice. Free with `g_object_unref()`.

### udisks_linux_block_object_trigger_uevent ()

    void
    udisks_linux_block_object_trigger_uevent
                                   (UDisksLinuxBlockObject *object);

Triggers a 'change' uevent in the kernel.

The triggered event will bubble up from the kernel through the udev stack and will eventually be received by the udisks daemon process itself. This method does not wait for the event to be received.

#### Parameters

object | A UDisksLinuxBlockObject. |

### udisks_linux_block_object_reread_partition_table ()

    void
    udisks_linux_block_object_reread_partition_table
                                   (UDisksLinuxBlockObject *object);

Requests the kernel to re-read the partition table for `object` .

The events from any change this may cause will bubble up from the kernel through the udev stack and will eventually be received by the udisks daemon process itself. This method does not wait for the event to be received.

#### Parameters

object | A UDisksLinuxBlockObject. |

## Types and Values

### UDisksLinuxBlockObject

    typedef struct _UDisksLinuxBlockObject UDisksLinuxBlockObject;

The UDisksLinuxBlockObject structure contains only private data and should only be accessed using the provided API.

## Property Details

### The `“daemon”` property

      “daemon”                   UDisksDaemon *

The UDisksDaemon the object is for.

Flags: Read / Write / Construct Only

### The `“device”` property

      “device”                   UDisksLinuxDevice *

The UDisksLinuxDevice for the object. Connect to the “notify” signal to get notified whenever this is updated.

Flags: Read / Write / Construct Only